#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

set( _tarball_content
    acconfig.h autogen.sh gtk2mm.glade main_window.cpp
    main_window_glade.h Makefile.am app-Makefile.am
    configure.in gtk2mm.gladep main_window.h app.kdevelop
    gtk2mm.cpp main_window_glade.cpp src-Makefile.am config.h
    gtk2mmapp.png
)
list( SORT _tarball_content )

tde_create_tarball(
  TARGET gtk2mmapp.tar.gz
  FILES ${_tarball_content}
)


install( FILES
    ${CMAKE_CURRENT_BINARY_DIR}/gtk2mmapp.tar.gz gtk2mmapp.png
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard )


tde_create_translated_desktop(
  SOURCE gtk2mmapp.kdevtemplate
  DESTINATION ${DATA_INSTALL_DIR}/kdevappwizard/templates
  KEYWORDS Category
  PO_DIR tdevelop-desktops
)
